#175 dpkg complains about script - Debian lenny 5.0.3

v_2.3
closed-fixed
nobody
None
5
2011-12-28
2009-12-29
Graeme
No

The output below says it all! Passing to package maintainer as requested.

web01:/usr/src/postfixadmin# dpkg -i postfixadmin_2.3_all.deb
(Reading database ... 20662 files and directories currently installed.)
Preparing to replace postfixadmin 2.3 (using postfixadmin_2.3_all.deb) ...
Unpacking replacement postfixadmin ...
Setting up postfixadmin (2.3) ...
dbconfig-common: writing config to /etc/dbconfig-common/postfixadmin.conf
*** WARNING: ucf was run from a maintainer script that uses debconf, but
the script did not pass --debconf-ok to ucf. The maintainer
script should be fixed to not stop debconf before calling ucf,
and pass it this parameter. For now, ucf will revert to using
old-style, non-debconf prompting. Ugh!

Please inform the package maintainer about this problem.

Discussion

  • Thank you for reporting!

    Debconf is also asking the user to really overwrite /etc/postfixadmin/config.inc.php during the installation.

    I would be glad if somebody could help me in this topic. The debconf / ucf documentation isn't that good...

    Norman

     
    • status: open --> closed-fixed
     
  • Thanks for the bug report; we believe this has been fixed in subversion.